/*
 *  Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2 of the license.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _QTGTL_PARAMETERS_WIDGET_H_
#define _QTGTL_PARAMETERS_WIDGET_H_

#include <QWidget>

namespace GTLCore {
  class String;
  class Value;
};

namespace QtShiva {
  class ParametersWidgetBase : public QWidget {
    Q_OBJECT
    public:
      ParametersWidgetBase( QWidget* );
      ~ParametersWidgetBase();
    public:
      void setParameter(const GTLCore::String& _name, const GTLCore::Value& _value);
    signals:
      void configurationChanged();
    public:
      class Parametrisation;
    protected:
      void setParametrisation( Parametrisation* );
    private:
      struct Private;
      Private* const d;
  };
}

#endif
